﻿using System.Text;
using System;
using Wisej.Hybrid;
using Wisej.Web;
using System.Threading;

namespace WisejHybridRemoteApplication1
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void button1_Click(object sender, System.EventArgs e)
		{


            this.textBox1.Text = this.GetApplicationRuntimeInfo();

		}

        public string GetApplicationRuntimeInfo()
        {
            var sb = new StringBuilder();
            sb.AppendLine($"***** UPDATE TIME {DateTime.UtcNow.ToString()} *****");
            sb.AppendLine($"OSArchitecture: {System.Runtime.InteropServices.RuntimeInformation.OSArchitecture}");
            sb.AppendLine($"OSDescription: {System.Runtime.InteropServices.RuntimeInformation.OSDescription}");
            sb.AppendLine($"ProcessArchitecture: {System.Runtime.InteropServices.RuntimeInformation.ProcessArchitecture}");
#if NET
			sb.AppendLine($"RuntimeIdentifier: {System.Runtime.InteropServices.RuntimeInformation.RuntimeIdentifier.ToString()}");
#endif
            sb.AppendLine($"FrameworkDescription: {System.Runtime.InteropServices.RuntimeInformation.FrameworkDescription}");
            sb.AppendLine($"Browser Device: {Application.Browser.Device}");
            sb.AppendLine($"Browser Version: {Application.Browser.Version}");
            sb.AppendLine($"Browser ScreenSize: {Application.Browser.ScreenSize.ToString()}");

            try
            {
                if (Device.Valid == true)
                {

                    sb.AppendLine($"RUNNINIG IN HYBRID WEBVIEW!");
                    sb.AppendLine($"Device Model: {Device.Info.System.Model}");
                    sb.AppendLine($"Device Name: {Device.Info.System.DeviceName}");

                }
            }
            catch (Exception ex)
            {
                sb.AppendLine($"Something goes wrong with Device\n{ex.Message}");
            }

            return sb.ToString();
        }

    }
}
